curl --request GET \
--url https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"status": "<string>",
"last_contacted_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"replied_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": {},
"sequence_step": 0,
"next_followup_scheduled_for": "2023-11-07T05:31:56Z",
"email_opened": false,
"email_replied": false,
"unsubscribed": false,
"delivery_status": "<string>",
"is_suppressed": false,
"email_interactions": [
{
"email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence_step": 123,
"subject": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"replied_at": "2023-11-07T05:31:56Z",
"inbox_email": "<string>",
"sent": true,
"opened": true,
"bounced": true
}
],
"replies": [
{
"reply_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"body_preview": "<string>",
"is_auto_reply": true,
"is_unsubscribe": true
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get a single lead
Get detailed information about a specific lead
Returns full lead data including email interaction history and any replies received from the lead.
Example
import requests
campaign_id = "550e8400-e29b-41d4-a716-446655440000"
lead_id = "650e8400-e29b-41d4-a716-446655440000"
response = requests.get(
f"https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/campaigns/{campaign_id}/leads/{lead_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"status": "<string>",
"last_contacted_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"replied_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"custom_fields": {},
"sequence_step": 0,
"next_followup_scheduled_for": "2023-11-07T05:31:56Z",
"email_opened": false,
"email_replied": false,
"unsubscribed": false,
"delivery_status": "<string>",
"is_suppressed": false,
"email_interactions": [
{
"email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence_step": 123,
"subject": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"opened_at": "2023-11-07T05:31:56Z",
"replied_at": "2023-11-07T05:31:56Z",
"inbox_email": "<string>",
"sent": true,
"opened": true,
"bounced": true
}
],
"replies": [
{
"reply_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"body_preview": "<string>",
"is_auto_reply": true,
"is_unsubscribe": true
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Response
Lead retrieved successfully
Detailed response schema for individual lead with interaction history.
Lead ID
Lead email address
First name
Last name
Company name
Lead status
Last contact timestamp
Email opened timestamp
Reply timestamp
Lead creation timestamp
Custom lead fields
Current sequence step
When the next pending follow-up is scheduled
Whether email was opened
Whether lead replied
Whether lead unsubscribed
Delivery status from Azure (latest email)
Team-level suppression computed on read: the lead's email is on the team unsubscribe list, so it will be skipped when sending.
List of email interactions
Show child attributes
Show child attributes
List of replies from the lead
Show child attributes
Show child attributes
Was this page helpful?

